# Cancel a Delta Order

To cancel orders, you can use the `/cancel` endpoint provided by the API, which would remove the orders from the order book. The signature is an EIP-712 signature, built with the following structure. Both `LIMIT` and `MARKET` orders can be canceled.

<table><thead><tr><th></th><th></th></tr></thead><tbody><tr><td>domain</td><td><pre><code>{
  "name": "Portikus",
  "version": "2.0.0",
  "chainId": &#x3C;chainId>,
  "verifyingContract": &#x3C;deltaAddress>
}
</code></pre></td></tr><tr><td>type</td><td><pre><code>{
  "OrderCancellations": [
    {
      "name": "orderIds",
      "type": "string[]",
    }
  ]
}
</code></pre></td></tr><tr><td>value</td><td><pre><code>{
  "orderIds": [&#x3C;id1>, &#x3C;id2>]
}
</code></pre></td></tr></tbody></table>

<mark style="color:green;">`POST`</mark> `https://api.paraswap.io/delta/orders/cancel`

**Body**

| Name        | Type      | Description                                          |
| ----------- | --------- | ---------------------------------------------------- |
| `orderIds`  | string\[] | Order IDs to cancel                                  |
| `signature` | string    | EIP-712 signature with the structure described above |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "success": true
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "errorType": "OrderCancellationError",
  "details": "Order not found"
}
```

{% endtab %}
{% endtabs %}

Upon successful cancellation, the API will return a confirmation message indicating that the limit order has been successfully cancelled.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.velora.xyz/api/velora-api/velora-delta-api/cancel-a-delta-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
